Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Class WeekDay

    java.lang.Object
      net.fortuna.ical4j.model.WeekDay

All Implemented Interfaces:
  Serializable

    public class WeekDay

extends Object
implements Serializable

Defines a day of the week with a possible offset related to a MONTHLY or YEARLY occurrence.

Author:
  Ben Fortuna
See Also:
  Serialized Form

Field Summary
`static WeekDay` | `FR`
`static WeekDay` | `MO`
`static WeekDay` | `SA`
`static WeekDay` | `SU`
`static WeekDay` | `TH`
`static WeekDay` | `TU`
`static WeekDay` | `WE`

Constructor Summary
`WeekDay(String value)`
`WeekDay(String day, int offset)`
`WeekDay(WeekDay weekDay, int offset)` Constructs a new weekday instance based on the specified instance and offset.

Method Summary
`boolean` | `equals(Object arg0)` Uses `ObjectUtils` to test equality.
`static int` | `getCalendarDay(WeekDay weekday)` Returns the corresponding `java.util.Calendar.DAY_OF_WEEK` constant for the specified `WeekDay`.
`String` | `getDay()`
`static WeekDay` | `getMonthlyOffset(Calendar cal)` Returns a weekday/offset representation of the specified calendar.
`static WeekDay` | `getNegativeMonthlyOffset(Calendar cal)` Returns a weekday/negative offset representation of the specified calendar.
`int` | `getOffset()`
`static WeekDay` | `getWeekDay(Calendar cal)` Returns a weekday representation of the specified calendar.
`int` | `hashCode()` Uses `HashCodeBuilder` to build hashcode.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SU

    public static final WeekDay SU

### MO

    public static final WeekDay MO

### TU

    public static final WeekDay TU

### WE

    public static final WeekDay WE

### TH

    public static final WeekDay TH

### FR

    public static final WeekDay FR

### SA

    public static final WeekDay SA

Constructor Detail

### WeekDay

    public WeekDay(String value)

Parameters:
  `value` -

### WeekDay

    public WeekDay(String day,
                   int offset)

Parameters:
  `day` -
  `offset` -

### WeekDay

    public WeekDay(WeekDay weekDay,
                   int offset)

  Constructs a new weekday instance based on the specified instance and offset.

  Parameters:
    `weekDay` -
    `offset` -

Method Detail

### getDay

    public final String getDay()

  Returns:
    Returns the day.

### getOffset

    public final int getOffset()

  Returns:
    Returns the offset.

### toString

    public final String toString()

  Overrides:
    `toString` in class `Object`

### getWeekDay

    public static final WeekDay getWeekDay(Calendar cal)

  Returns a weekday representation of the specified calendar.

  Parameters:
    `cal` - a calendar (java.util)
  Returns:
    a weekday instance representing the specified calendar

### getMonthlyOffset

    public static final WeekDay getMonthlyOffset(Calendar cal)

  Returns a weekday/offset representation of the specified calendar.

  Parameters:
    `cal` - a calendar (java.util)
  Returns:
    a weekday instance representing the specified calendar

### getNegativeMonthlyOffset

    public static final WeekDay getNegativeMonthlyOffset(Calendar cal)

  Returns a weekday/negative offset representation of the specified calendar.

  Parameters:
    `cal` - a calendar (java.util)
  Returns:
    a weekday instance representing the specified calendar

### getCalendarDay

    public static int getCalendarDay(WeekDay weekday)

  Returns the corresponding `java.util.Calendar.DAY_OF_WEEK` constant for the specified `WeekDay`.

  Parameters:
    `weekday` -
  Returns:

### equals

    public final boolean equals(Object arg0)

  Uses `ObjectUtils` to test equality.

  Overrides:
    `equals` in class `Object`

### hashCode

    public final int hashCode()

  Uses `HashCodeBuilder` to build hashcode.

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.